package sprzedaz.wydajnosc;

import java.io.File;
import java.io.IOException;
import java.util.List;

public class F1_SredniaWartoscTransakcji {

	public static void main(String[] args) {
		try {
			List<Transakcja> lista = MaszynaWczytujaca.wczytajCalyPlik(new File("rekordy.csv"));
			System.out.println("Wczytano " + lista.size() + " rekordów");
			
			double srednia = lista.stream()
					.mapToDouble(Transakcja::getWartoscDouble)
					.average()
					.getAsDouble();
			System.out.println(srednia);
			
			
			
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
